Subject: Re: bug#16239: 24.3.50; completion when evalling within ibuffer

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Oct 2019 18:06:47 +0200

Nicolas Richard <[email-masked]> writes:

> I know there has been much discussion on the completion mechanism
> recently, but (or "hence" ?) I didn't find a bug report specifically on
> this :
>
>>>From emacs -Q:
>
> M-x ibuffer RET
> m
> E
> em-ve TAB
>
> At this point, earlier versions expanded em-ve to emacs-version (a
> variable), but the latest ones don't.

I think I've now fixed this in Emacs 27 by just making that command call
`read--expression'.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no